function init(hero) {
    hero.setName("Spodermen");
	hero.setVersion("The Return...");
    hero.setTier(1);
	hero.setCosmic();
    
	hero.setHelmet("Mask");
    hero.setChestplate("Chestpiece");
    hero.setLeggings("Pants");
    hero.setBoots("Boots");
    
	hero.addAbilities("fiskheroes:leaping");
    hero.addAttribute("FALL_RESISTANCE", 12.0, 0);
    hero.addAttribute("JUMP_HEIGHT", 4.0, 0);
	hero.addAttribute("SPRINT_SPEED", 0.75, 1);
    hero.addAttribute("PUNCH_DAMAGE", 3, 0);
	
	hero.setHasProperty(hasProperty);
	hero.addAttributeProfile("STEEL", steelProfile);
    hero.setAttributeProfile(getAttributeProfile);
    hero.setModifierEnabled(isModifierEnabled);
}

function steelProfile(profile) {
    profile.addAttribute("FALL_RESISTANCE", 1.0, 1);
    profile.addAttribute("JUMP_HEIGHT", 4.0, 0);
	profile.addAttribute("SPRINT_SPEED", 0.85, 1);
    profile.addAttribute("PUNCH_DAMAGE", 4.5, 0);
}

function getAttributeProfile(entity) {
    return entity.getData("fiskheroes:mask_open") ? "STEEL" : null;
}

function isModifierEnabled(entity, modifier) {
    return entity.getData("fiskheroes:mask_open") || modifier != "fiskheroes:leaping";
}

function hasProperty(entity, property) {
    switch (property) {
    case "MASK_TOGGLE":
        return true;
    default:
        return false;
    }
}